@import '~antd/lib/style/themes/default.less';

.pageHeader {
  background: @component-background;
  padding: 16px 32px 0 32px;
  border-bottom: @border-width-base @border-style-base @border-color-split;

  .detail {
    display: flex;
  }

  .row {
    display: flex;
    width: 100%;
  }

  .breadcrumb {
    margin-top: 4px;
    margin-bottom: 10px;
    font-family: Roboto;
  }

  .tabs {
    margin: 0 0 -17px -8px;

    :global {
      .ant-tabs-bar {
        border-bottom: @border-width-base @border-style-base @border-color-split;
      }
    }
  }

  .logo {
    flex: 0 1 auto;
    margin-right: 16px;
    padding-top: 1px;
    > img {
      width: 28px;
      height: 28px;
      border-radius: @border-radius-base;
      display: block;
    }
  }

  .title {
    font-size: 20px;
    font-weight: 500;
    color: @heading-color;
    font-family: Roboto;
  }

  .action {
    margin-left: 56px;
    min-width: 266px;

    :global {
      .ant-btn-group:not(:last-child),
      .ant-btn:not(:last-child) {
        margin-right: 8px;
      }

      .ant-btn-group > .ant-btn {
        margin-right: 0;
      }
    }
  }

  .title,
  .action,
  .content,
  .extraContent,
  .main {
    flex: 0 1 auto;
  }
  .main {
    width: 100%;
  }
  .title,
  .action {
    font-weight: bolder;
    margin-bottom: 16px;
  }

  .logo,
  .content,
  .extraContent {
    margin-bottom: 16px;
  }

  .action,
  .extraContent {
    text-align: right;
  }

  .extraContent {
    margin-left: 88px;
    min-width: 242px;
  }
}

@media screen and (max-width: @screen-xl) {
  .pageHeader {
    .extraContent {
      margin-left: 44px;
    }
  }
}

@media screen and (max-width: @screen-lg) {
  .pageHeader {
    .extraContent {
      margin-left: 20px;
    }
  }
}

@media screen and (max-width: @screen-md) {
  .pageHeader {
    .row {
      display: block;
    }

    .action,
    .extraContent {
      margin-left: 0;
      text-align: left;
    }
  }
}

@media screen and (max-width: @screen-sm) {
  .pageHeader {
    .detail {
      display: block;
    }
  }
}

@media screen and (max-width: @screen-xs) {
  .pageHeader {
    .action {
      :global {
        .ant-btn-group,
        .ant-btn {
          display: block;
          margin-bottom: 8px;
        }
        .ant-btn-group > .ant-btn {
          display: inline-block;
          margin-bottom: 0;
        }
      }
    }
  }
}
